Bug 492186 - ext4 migration fails
ext4 migration fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
anaconda_trace_hash:4aa4ea4a9cc5e4ed5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 15:27 EDT by Christopher Aillon
Modified: 2009-06-25 13:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-25 13:49:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (132.05 KB, text/plain)
2009-03-25 15:27 EDT, Christopher Aillon
no flags Details

  None (edit)
Description Christopher Aillon 2009-03-25 15:27:34 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.37 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/iw/upgrade_migratefs_gui.py", line 45, in getNext
    newfs = getFormat(entry.format.migrationTarget)
  File "/usr/lib/anaconda/gui.py", line 1313, in nextClicked
    rc = self.currentWindow.getNext ()
NameError: global name 'getFormat' is not defined
Comment 1 Christopher Aillon 2009-03-25 15:27:38 EDT
Created attachment 336694 [details]
Attached traceback automatically from anaconda.
Comment 2 Christopher Aillon 2009-03-25 15:32:48 EDT
Doubt it's relevant based on the traceback (seems like a wrong/missing import), but in case it is:

This is a fresh F10 install from today + updates, today's boot.iso, with ext4migrate, click, click, click on the defaults (and checking the filesystem to do the migration).
Comment 3 David Cantrell 2009-03-25 15:54:20 EDT
Should be fixed in anaconda-11.5.0.38-1.
Comment 4 Christopher Aillon 2009-03-25 16:29:12 EDT
Cool.  Is this something that I can drop in an updates.img for or would I need a new boot.iso?
Comment 5 Hans de Goede 2009-03-26 05:02:26 EDT
(In reply to comment #4)
> Cool.  Is this something that I can drop in an updates.img for or would I need
> a new boot.iso?  

Its by far the easiest the get a new boot.iso, or you could use your existing and
add method=ask on the cmdline, and then point it to the network for stage2 (install.img).
Comment 6 Bug Zapper 2009-06-09 08:37:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Gerald Cox 2009-06-10 21:58:36 EDT
Used ext4migration option in anaconda for F10 > F11 upgrade using X64 ISO and migration doesn't appear to have happened.  After upgrade, fstab still shows EXT3 and mount command shows partitions mounted as ext3.
Comment 8 Andy Lindeberg 2009-06-25 13:49:34 EDT
(In reply to comment #7)
> Used ext4migration option in anaconda for F10 > F11 upgrade using X64 ISO and
> migration doesn't appear to have happened.  After upgrade, fstab still shows
> EXT3 and mount command shows partitions mounted as ext3.  

This is not the same bug as the one reported earlier. Please open a separate report on your problem.

Note You need to log in before you can comment on or make changes to this bug.